ubuntu12.04-desktop 编译openvpn-2.3.2提示ssl is required but missing

evol_goss 发布于 2014/04/03 14:17
阅读 4K+
收藏 0

【华为云1024程序员节·向云而生】预约直播 抽14件华为电子产品礼包!>>>

在本站下载的openvpn压缩包。但是在ubuntu下面执行configure的时候出现问题:

 

checking for PKCS11_HELPER... no
checking for OPENSSL_CRYPTO... no
checking for RSA_new in -lcrypto... no
checking for OPENSSL_SSL... no
checking for SSL_CTX_new in -lssl... no
checking for ssl_init in -lpolarssl... no
checking for aes_crypt_cbc in -lpolarssl... no
checking for lzo1x_1_15_compress in -llzo2... no
checking for lzo1x_1_15_compress in -llzo... no
checking git checkout... no
configure: error:  ssl is required but missing

 

我去检查了OPENSSL是否安装

 

dpkg -l |grep ssl
ii  libflac8                               1.2.1-6                                 Free Lossless Audio Codec - runtime C library
ii  libssl1.0.0                            1.0.1-4ubuntu3                          SSL shared libraries
ii  libwavpack1                            4.60.1-2                                audio codec (lossy and lossless) - library
ii  openssl                                1.0.1-4ubuntu3                          Secure Socket Layer (SSL) binary and related cryptographic tools
ii  python-openssl                         0.12-1ubuntu2                           Python wrapper around the OpenSSL library
ii  ssl-cert                               1.0.28                                  simple debconf wrapper for OpenSSL

 

这应该都可以了,openssl都已经安装了,怎么会提示找不到openssl,这是怎么回事的?

 

 

加载中
0
C
CodeStar

我也遇到了这个问题,已经找到了答案,直接发链接,懒得复制了。

http://www.softown.cn/post/142.html

0
evol_goss
evol_goss

原来缺少组件

0
月夜星空

缺少什么组件?

返回顶部
顶部